Namespace
bellsoft
Image / Tag
liberica-runtime-container:jdk-11.0.22-cds-stream-glibc
Content Digest
sha256:d78f5d1e6d04a6464b8179fd82c94f8232bc77b96f3d1a4457f291a17659fbdc
Details
Created

2024-04-21 23:43:08 UTC

Size

85.6 MB

Content Digest
Labels
  • maintainer
    BellSoft <info@bell-sw.com>
  • org.opencontainers.image.authors
    BellSoft <info@bell-sw.com>
  • org.opencontainers.image.description
    Alpaquita Stream Glibc based image with Liberica JDK 11, with CDS archives.

Environment
JAVA_HOME

/usr/lib/jvm/liberica11-lite

LANG

en_US.UTF-8

LANGUAGE

en_US:en

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:85261cf002234b4c01ab4e633df69dd973ade8b4fa277a38d4f0005f56f634b6 - 12.95% (11.1 MB)

[#001] sha256:3f1b1ceedb782ba39e02913e532357e62cbe78a62251e89be69d19f887fec1c1 - 87.05% (74.5 MB)


History
2024-04-21 22:12:38 UTC

/bin/sh -c #(nop) ARG MINIROOTFS

2024-04-21 22:12:38 UTC

/bin/sh -c #(nop) ARG LIBC MINIROOTFS

2024-04-21 22:12:38 UTC

/bin/sh -c #(nop) ARG APK_REPOS LIBC MINIROOTFS

2024-04-21 22:12:38 UTC

/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MINIROOTFS

2024-04-21 22:12:38 UTC

/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MAINTAINER MINIROOTFS

2024-04-21 22:12:38 UTC

/bin/sh -c #(nop) ARG APK_REPOS DESCRIPTION LIBC LOCALES MAINTAINER MINIROOTFS

2024-04-21 22:12:38 UTC

/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"

2024-04-21 22:12:38 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"

2024-04-21 22:12:38 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"

2024-04-21 22:12:38 UTC

/bin/sh -c #(nop) ADD file:bc3dd2e325415a3cab18a4fa57d060492b87fdf634eb408f141a8b3ace298868 in /

2024-04-21 22:12:38 UTC

|9 APK_REPOS= DESCRIPTION=Alpaquita Stream Glibc LIBC=glibc LOCALES= MAINTAINER=BellSoft <info@bell-sw.com> MINIROOTFS=alpaquita-minirootfs-stream-240421-glibc-x86_64.tar.gz /bin/sh -c set -e; command set -o pipefail; rootfs_libc=$(. /etc/os-release; echo $LIBC_TYPE); case "$LIBC" in glibc|musl) if [ "$rootfs_libc" != "$LIBC" ]; then echo "${MINIROOTFS}: got '${rootfs_libc}', expected '${LIBC}'"; exit 1; fi; ;; *) echo -n "Invalid LIBC: '${LIBC}'. "; echo "Only 'glibc' and 'musl' are supported."; exit 1; ;; esac; if [ -n "$APK_REPOS" ]; then printf '%s\n' $APK_REPOS | tee /etc/apk/repositories; fi; if [ "$LIBC" = "musl" ]; then apk add --no-cache musl-perf; fi; if [ "$LIBC" = "glibc" ] && [ -n "$LOCALES" ]; then apk add --no-cache glibc-locales; locale-gen --no-archive $LOCALES; apk del --no-cache glibc-locales ; rm -f /etc/locale.gen; fi

2024-04-21 22:12:39 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2024-04-21 23:42:48 UTC (FROM docker.io/bellsoft/alpaquita-linux-base:stream-glibc-240421)

/bin/sh -c #(nop) ARG JAVA_RELEASE

2024-04-21 23:42:48 UTC (FROM e18a97f570a1)

/bin/sh -c #(nop) ARG BUNDLE_TYPE JAVA_RELEASE

2024-04-21 23:42:48 UTC (FROM 2b7479484481)

/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS JAVA_RELEASE

2024-04-21 23:42:48 UTC (FROM fe9ac10b3fed)

/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS JAVA_RELEASE REMOVE_APK_TOOLS

2024-04-21 23:42:48 UTC (FROM b7c19eb64822)

/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS

2024-04-21 23:42:48 UTC (FROM 1cbab809c1a4)

/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS DESCRIPTION JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS

2024-04-21 23:42:48 UTC (FROM c7cdffde0719)

/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"

2024-04-21 23:42:48 UTC (FROM 9ade67cab4c0)

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"

2024-04-21 23:42:48 UTC (FROM b14c89e78f7d)

/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"

2024-04-21 23:42:48 UTC (FROM 6ce21fe9253f)

/bin/sh -c #(nop) ENV LANG=en_US.UTF-8 LANGUAGE=en_US:en

2024-04-21 23:42:48 UTC (FROM 048f37909ac0)

/bin/sh -c #(nop) ENV JAVA_HOME="/usr/lib/jvm/liberica${JAVA_RELEASE}-lite"

2024-04-21 23:43:09 UTC (FROM c50cec95fbc4)

|18 BUNDLE_TYPE=jdk CDS=yes DESCRIPTION=Alpaquita Stream Glibc based image with Liberica JDK 11, with CDS archives. JAVA_RELEASE=11 MAINTAINER=BellSoft <info@bell-sw.com> REMOVE_APK_TOOLS=no /bin/sh -c set -e; command set -o pipefail; case "$JAVA_RELEASE" in 11|17|21) ;; *) echo -n "Invalid JAVA_RELEASE: '${JAVA_RELEASE}'. "; echo "Only '11', '17' and '21' are supported."; exit 1; ;; esac; case "$BUNDLE_TYPE" in jdk) NO_DEPS='-no-deps'; ;; jdk-all) ;; *) echo -n "Invalid BUNDLE_TYPE: '${BUNDLE_TYPE}'. "; echo "Only 'jdk' and 'jdk-all' are supported."; exit 1; ;; esac; case "$CDS" in yes|no) ;; *) echo "Invalid CDS: '${CDS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; case "$REMOVE_APK_TOOLS" in yes|no) ;; *) echo "Invalid REMOVE_APK_TOOLS: '${REMOVE_APK_TOOLS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; apk add --no-cache "liberica${JAVA_RELEASE}-lite-${BUNDLE_TYPE}${NO_DEPS}"; if [ "$CDS" = "yes" ]; then apk add --no-cache "liberica${JAVA_RELEASE}-lite-jre-cds"; fi; if [ "$REMOVE_APK_TOOLS" = "yes" ]; then apk del --no-cache apk-tools; fi

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete